package com.baidu.appx.adentity;

import java.io.Serializable;

import org.json.JSONObject;

public class BaseAdInfo implements Serializable{


	/**
	 * 
	 */
	private static final long serialVersionUID = 5178305467681993183L;



	public BaseAdInfo(JSONObject json) {
		this.json = json;
	}
	
	public transient JSONObject json = null;
	
	public boolean isValid() {
		return json != null;
	}
	
	protected String stringValueForKey(String key) {
		return json.optString(key, "");
	}
	
	protected int intValueForKey(String key) {
		return json.optInt(key, 0);
	}
	protected long longValueForKey(String key) {
		return json.optLong(key, 0);
	}
	
	protected double doubleValueForKey(String key) {
		return json.optDouble(key, 0.0);
	}
	
	protected boolean boolValueForKey(String key) {
		String string = json.optString(key, "false").trim();
		char c = string.length() > 0 ? string.charAt(0) : '0';
		switch (c) {
		case 'y': case 'Y': case 't': case 'T':
			return true;
		default:
			return '1' <= c && c <= '9' ? true : false; 
		}
	}
}
