package com.baidu.appx.adinfo;




public interface BannerAdInfo extends ClickableAd, IdentifiableAdInfo {
	
	public static final int AdLayoutImg 	= 1;
	public static final int AdLayoutImgText = 2;
	public static final int AdLayoutText 	= 3;
	public static final int AdLayoutHtml 	= 4;
	
	public static final int AdAnimatingRandom		= 0;
	public static final int AdAnimatingFromTop 		= 1;
	public static final int AdAnimatingFromBottom 	= 2;
	public static final int AdAnimatingFromLeft 	= 3;
	public static final int AdAnimatingFromRight 	= 4;
	
	public interface Img {
		public String getAdImgPath();
		public String getAdImgUrl();
	}
	public interface Text {
		public String getAdTitle();
		public String getAdSubTitle();
		public String getAdTextColor();
		public String getAdBgColor();
		public String getAdBgImgPath();
		public String getAdBgImgUrl();
	}
	public interface ImgText extends Text {
		public String getAdIconPath();
		public String getAdIconUrl();
	}
	public interface Html {
		public String getAdHtml();
	}
	
	public int    	 getAdType();
	public int 		 getAdLayoutType();
	public Img		 getLayoutImg();
	public Text		 getLayoutText();
	public ImgText	 getLayoutImgText();
	public Html		 getLayoutHtml();
	
	public long		 getAdRefreshMilliseconds();
	public int 		 getAdAnimatingDirection();
	
	public interface All extends BannerAdInfo, Img, Text, ImgText, Html {
		
	}
}
